
function resizeImage(img, nW, nH, extra)

    local cw, ch
    if type(img) == "string" then
        img = game:getSource(img)
    end
    if type(img) == "number" then
        cw, ch = img, nW
        nW, nH = nH, extra
    else
        cw, ch  = img:getDimensions()
    end
    
    cw = nW/cw
    ch = nH/ch
    return cw,ch
end


game = { getAsset = function(self,n)
    return love.graphics.newImage(string.format("assets/%s",n))
end}
game.getSource = game.getAsset

function love.load()
    class = require "class"
    Entity = require "entity"
    Tur = require "turret"
    
    turret = Tur:new({
        x = 200,
        y = 200,
        h = 100,
        w = 100
    }
    )
    touch = {x=1,y=1}
end

function love.update(dt)
    turret:update(dt)
end

function love.draw()
    turret:draw()
    love.graphics.circle("fill",touch.x,touch.y,20)
end

function love.mousereleased(x,y)
    turret._target = {x=x,y=y}
    touch = turret._target
end